Page MenuHome

Noise seems to break / negate pre-roll on smoke sim
Closed, ResolvedPublicBUG

Description

System Information
Operating system: Windows-10-10.0.18362 64 Bits
Graphics card: GeForce GTX 1070 Ti/PCIe/SSE2 NVIDIA Corporation 4.5.0 NVIDIA 436.48

Blender Version
Broken: version: 2.82 (sub 1), branch: fluid-mantaflow, commit date: 2019-11-26 22:21, hash: rB0ca44974c97f
Worked: (optional)

Short description of error
[adding noise to a smoke sim seems to break / ignore / negate any pre-roll frames you have set.
Like this-

Here is the same sim with & without noise. The sim was set to start at frame -65 in the cache settings, then I changed it to -100 as I initially thought that I just needed more pre-roll, but nothing changed.
As you can see in the left hand image, the smoke is showing top to bottom, the reason I used a pre-roll. While with noise it developes from the bottom up as if no pre-roll were used.
I observed the playhead while baking the noise, and it went through the frames from -100 - 0 very quickly, stayed on frame 0 for quite a pause, then went through from frame 1 - 250 at a more normal speed (as if it were actually doing something).
This sim was originally baked using adaptive domain, but when noise was added it still behaves with the issue in T69870, the smoke jumped position several times during the animation after noise was added.]

Exact steps for others to reproduce the error
[Bake the attached and observe...]
[Based on the default startup or an attached .blend file (as simple as possible)

]

Event Timeline

If I'm not mistaken, negative frames never worked before.
This is a known limitation not only with smoke simulation, but particulate system, clothing and other physics.

But I may be wrong.

Mark Spink (marks) added a comment.EditedDec 13 2019, 1:16 AM

Worked in the old smoke sim, still does in Mantaflow, but breaks when noise added.
Here you go-

So basically the original Mantaflow blend file from above, loaded into V2.81 Vanilla release, and smoke re-added to the domain, emitter (sphere) & Ground.
Then baked with no pre-roll (Simulation Start 1 in Cache), then again with pre-roll (Simulation Start -80 in Cache), then with pre-roll and HiRez (assuming HiRez to be the equivalent of 'noise' in Mantaflow Smoke).

So Both systems, old & Mantaflow, use the pre-roll for the smoke sim, but Mantaflow breaks/negates the pre-roll when noise is added to the smoke.

Here's the .blend

Mark Spink (marks) added a comment.EditedDec 21 2019, 4:07 AM

Hello All

Just FYI; I tried the scene in the new 16-12-2019 build and noise still negates any pre-roll in the smoke sim after re-adding Mantaflow to the relevent objects.

Here's the blend file-

Germano Cavalcante (mano-wii) changed the task status from Needs Triage to Needs Information from User.Jan 15 2020, 1:59 PM
Germano Cavalcante (mano-wii) removed Sebastián Barschkis (sebbas) as the assignee of this task.

Could you edit the report description, update the file and briefly describe how to reproduce the problem?
I tried to reproduce the problem, but it consumes a lot of time.
Maybe it is even better to create another report.

Here you go-

And here's the simple .blend-

You can try to increase the preroll to say -75 as the start frame in the cache field and you will get the same result. You can even see the playhead when you bake the noise; it starts from frame 1 (or maybe 0), definitely not where the cache has been set to start from.

I'm using this version in the above clip & .blend-

Richard Antalik (ISS) changed the task status from Needs Information from User to Confirmed.Jan 17 2020, 12:05 AM
Bastien Montagne (mont29) changed the subtype of this task from "Report" to "Bug".Jan 20 2020, 11:04 AM

Thanks Ted! What does that token actually mean though?...

Mark Spink (marks) added a comment.EditedJan 24 2020, 5:25 PM

This still happens in version: 2.82 (sub 6), branch: master, commit date: 2020-01-23 15:59, hash: rB517870a4a11f I'm afraid-

Here's the scene file as used in the above-

Hello. this issue still exists in the Feb 3rd Build.

Mark Spink (marks) added a comment.EditedFeb 4 2020, 2:47 PM

Hello. this issue still exists in the Feb 4th Build.

Still happens with the 'simple' blend file uploaded above as well-

Mark Spink (marks) added a comment.EditedFeb 16 2020, 1:23 AM

Hello, this still happens in the 2.82 release build-


Here's the 'simple' blend again-

Just bake it, then bake the noise and enable/disable the noise (obviously move the playhead to refresh the viewport if you're using cycles, not necessary in 'solid' view, or Lookdev/Eevee- not sure if this is a separate bug or a feature?!?)

@Sebastián Barschkis (sebbas) same question, for the same reasons as in T73232: assuming the 2.82 release build is effectively static, if this is the case- is there any way of knowing when the 2.83 alpha/beta build has been changed WRT Mantaflow?

Hello, this still happens in the Feb 18 build of 2.83alpha


Mark Spink (marks) added a comment.EditedFeb 23 2020, 1:17 AM

Hello, this still happens in the Feb21 build-
Without Noise:

With Noise:

This build-

I also get a lot (most times I try in fact) of crash-on-load crashes in this build, trying to load previous build Mantaflow scenes. I had to append all the objects into a new scene to actually load the scene in T74062, I could not load the scene without an instant crash. It loaded fine into the previous build.

Mark Spink (marks) added a comment.EditedMar 3 2020, 1:54 AM

Hello, this still seems to be an issue with the March 2nd 2.83 build, but there now seem to be bigger issues in general with this build:

The sim seems to fall apart badly both with and without noise, soon after the start, I've baked and re-baked it several times, and the bigger issue persists.

Interestingly, it looks like T73232 has been fixed (from what I can see) in this (Feb 3rd) build, but with some new issues of it's own.
Both this and the T73232 scene were quite crashy in this build, on playback mostly, although T73232 crashed as soon as I tried to 'free data' on one of the domains (shall report in T73232).

Here's the same file re-baked in 2.82 release for comparison-

Hello all; I tried the above file in 2.83 release version and 2.9 Alpha (version: 2.90.0 Alpha, branch: master, commit date: 2020-06-24 21:51, hash: rBec776f18ff70).
In 2.83 it behaves the same as my previous test.
In 2.9 Alpha baking the noise makes the smoke completely disappear, as shown below-

Seeing this marked as resolved but I'm seeing the same behavior here on 2.9 beta. Baking noise makes sim completely go away.